Package it.ernytech.tdlib

## Class TdApi.ChatAction

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatAction

Direct Known Subclasses:
  `TdApi.ChatActionCancel`, `TdApi.ChatActionChoosingContact`, `TdApi.ChatActionChoosingLocation`, `TdApi.ChatActionRecordingVideo`, `TdApi.ChatActionRecordingVideoNote`, `TdApi.ChatActionRecordingVoiceNote`, `TdApi.ChatActionStartPlayingGame`, `TdApi.ChatActionTyping`, `TdApi.ChatActionUploadingDocument`, `TdApi.ChatActionUploadingPhoto`, `TdApi.ChatActionUploadingVideo`, `TdApi.ChatActionUploadingVideoNote`, `TdApi.ChatActionUploadingVoiceNote`

Enclosing class:
  TdApi

    public abstract static class TdApi.ChatAction
    extends TdApi.Object

This class is an abstract base class. Describes the different types of activity in a chat.

### Constructor Summary

Constructors
`ChatAction()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### ChatAction

    public ChatAction()